Index: cprs/trunk/CPRS-Chart/fPtSelOptns.pas
===================================================================
--- cprs/trunk/CPRS-Chart/fPtSelOptns.pas	(revision 456)
+++ cprs/trunk/CPRS-Chart/fPtSelOptns.pas	(revision 830)
@@ -5,5 +5,6 @@
 uses
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
-  ORDtTmRng, ORCtrls, StdCtrls, ExtCtrls, ORFn;
+  ORDtTmRng, ORCtrls, StdCtrls, ExtCtrls, ORFn, fBase508Form,
+  VA508AccessibilityManager;
 
 type
@@ -11,5 +12,5 @@
   TSetPtListTopProc = procedure(IEN: Int64) of object;
 
-  TfrmPtSelOptns = class(TForm)
+  TfrmPtSelOptns = class(TfrmBase508Form)
     orapnlMain: TORAutoPanel;
     bvlPtList: TORAutoPanel;
@@ -55,8 +56,4 @@
     procedure SetDefaultPtList(Dflt: string);
     procedure UpdateDefault;
-
-
-
-
     property LastTopList: string read FLastTopList write FLastTopList;
     property SrcType: Integer read FSrcType write FSrcType;
@@ -76,5 +73,5 @@
 
 var
-   frmPtSelOptns: TfrmPtSelOptns;
+  frmPtSelOptns: TfrmPtSelOptns;
   //frmPtSelOptns: TfrmPtSelOptns;
   clinDoSave, clinSaveToday: boolean;
@@ -86,5 +83,5 @@
 
 uses
-  rCore, fPtSelOptSave,fPtSel;
+  rCore, fPtSelOptSave, fPtSel, VA508AccessibilityRouter;
 
 const
@@ -100,6 +97,4 @@
   TC_LS_SAVE = 'Save Patient List Settings';
 
-
-
 function TfrmPtSelOptns.IsLast5(x: string): Boolean;
 { returns true if string matchs patterns: A9999 or 9999 (BS & BS5 xrefs for patient lookup) }
@@ -117,4 +112,5 @@
   Result := True;
 end;
+
 function TfrmPtSelOptns.IsPatientName(x: string):Boolean;
  { returns true if string matchs patient name pattern: all alphabetic," ",",","-","." only }
@@ -128,4 +124,5 @@
   Result := True;
 end;
+
 function TfrmPtSelOptns.IsEnhanced(x: String) : boolean ;
 var
@@ -141,4 +138,5 @@
   if (frmPtSelOptns.radAll.Checked <> True)and (frmPtSelOptns.radDflt.Checked <> True) then Result := False;
 end;
+
 function TfrmPtSelOptns.IsFullSSN(x: string): boolean;
 var
@@ -187,4 +185,27 @@
 procedure TfrmPtSelOptns.radShowSrcClick(Sender: TObject);
 { called by radTeams, radSpecialties, radWards - shows items for the list source }
+begin
+  cboList.Pieces := '2';
+  FSrcType := TControl(Sender).Tag;
+  FLastTopList := '';
+  HideDateRange;
+  FSetCaptionTop;
+  with cboList do
+  begin
+    Clear;
+    LongList := False;
+    Sorted := True;
+    case FSrcType of
+    TAG_SRC_TEAM: ListTeamAll(Items);
+    TAG_SRC_SPEC: ListSpecialtyAll(Items);
+    TAG_SRC_WARD: ListWardAll(Items);
+    end;
+    Visible := True;
+  end;
+  cboList.Caption := TRadioButton(Sender).Caption;
+end;
+
+procedure TfrmPtSelOptns.radLongSrcClick(Sender: TObject);
+{ called by radProviders, radClinics - switches to long list & shows items for the list source }
 begin
     //vwpt remove other radio button selections
@@ -221,53 +242,4 @@
   FSrcType := TControl(Sender).Tag;
   FLastTopList := '';
-  HideDateRange;
-  FSetCaptionTop;
-  with cboList do
-  begin
-    Clear;
-    LongList := False;
-    Sorted := True;
-    case FSrcType of
-    TAG_SRC_TEAM: ListTeamAll(Items);
-    TAG_SRC_SPEC: ListSpecialtyAll(Items);
-    TAG_SRC_WARD: ListWardAll(Items);
-    end;
-    Visible := True;
-  end;
-  cboList.Caption := TRadioButton(Sender).Caption;
- end; //else
-end;
-
-procedure TfrmPtSelOptns.radLongSrcClick(Sender: TObject);
-{ called by radProviders, radClinics - switches to long list & shows items for the list source }
-begin
-  //vwpt remove other radio button selections
- if fPtSel.radiogrp1index <> 0 then
- begin
-      FSrcType := TControl(Sender).Tag;
-      case FSrcType of
-    TAG_SRC_PROV: begin
-                    radProviders.Checked := False;
-                    radProviders.Refresh;
-                    radAll.Checked := True;
-                    radAll.Refresh;
-
-                  end;
-    TAG_SRC_CLIN: begin
-                    radClinics.Checked := False;
-                    radClinics.Refresh;
-                    radAll.Checked := True;
-                    radAll.Refresh;
-                  end;
-    end;
-  //frmPtSel.RadioGroup1.SetFocus;
-  //frmPtSel.RadioGroup1.Refresh;
- end
- else
- begin
-  //end vwpt
-  cboList.Pieces := '2';
-  FSrcType := TControl(Sender).Tag;
-  FLastTopList := '';
   FSetCaptionTop;
   with cboList do
@@ -324,8 +296,8 @@
 ^SC("B","zz bhost/resident",2710) = 
 ^SC("B","zz bhost/sws",2946) = 
-^SC("B","zz c&P ortho/patel",3292) =
+^SC("B","zz c&P ortho/patel",3292) = 
 ^SC("B","zz mhc md/kelley",320) = 
 ^SC("B","zz/mhc/p",1076) = 
-^SC("B","zzMHC MD/THRASHER",1018) =
+^SC("B","zzMHC MD/THRASHER",1018) = 
 ^SC("B","zztest clinic",3090) = 
 ^SC("B","zzz-hbpc-phone-jung",1830) = 
@@ -492,3 +464,6 @@
 end;
 
+initialization
+  SpecifyFormIsNotADialog(TfrmPtSelOptns);
+
 end.
